<?php

use App\Http\Middleware\EnsureAccessLevel;
use App\Http\Middleware\EnsureMenuPermission;
use App\Http\Middleware\EnsureMenuResourcePermission;
use App\Http\Middleware\ResolveTenantContext;
use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        api: __DIR__.'/../routes/api.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )

    ->withMiddleware(function (Middleware $middleware) {
        $middleware->alias([
            'access.level' => EnsureAccessLevel::class,
            'menu.permission' => EnsureMenuPermission::class,
            'menu.resource' => EnsureMenuResourcePermission::class,
            'tenant.context' => ResolveTenantContext::class,
        ]);
    })
    ->withExceptions(function (Exceptions $exceptions) {
        //
    })->create();
